Package io.vertx.tracing.opentelemetry

## Enum VertxContextStorageProvider.VertxContextStorage

- java.lang.Object
- - java.lang.Enum<VertxContextStorageProvider.VertxContextStorage>
  - - io.vertx.tracing.opentelemetry.VertxContextStorageProvider.VertxContextStorage

- All Implemented Interfaces:
    `io.opentelemetry.context.ContextStorage`, `Serializable`, `Comparable<VertxContextStorageProvider.VertxContextStorage>`
  Enclosing class:
    VertxContextStorageProvider

      public static enum VertxContextStorageProvider.VertxContextStorage
      extends Enum<VertxContextStorageProvider.VertxContextStorage>
      implements io.opentelemetry.context.ContextStorage

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INSTANCE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.opentelemetry.context.Scope` | `attach​(io.opentelemetry.context.Context toAttach)` |
    `io.opentelemetry.context.Scope` | `attach​(io.vertx.core.internal.ContextInternal vertxCtx, io.opentelemetry.context.Context toAttach)` |
    `io.opentelemetry.context.Context` | `current()` |
    `static VertxContextStorageProvider.VertxContextStorage` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VertxContextStorageProvider.VertxContextStorage[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.opentelemetry.context.ContextStorage

      `root`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final VertxContextStorageProvider.VertxContextStorage INSTANCE

  - ### Method Detail

    - #### values

          public static VertxContextStorageProvider.VertxContextStorage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VertxContextStorageProvider.VertxContextStorage c : VertxContextStorageProvider.VertxContextStorage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VertxContextStorageProvider.VertxContextStorage valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### attach

          public io.opentelemetry.context.Scope attach​(io.opentelemetry.context.Context toAttach)

      Specified by:
        `attach` in interface `io.opentelemetry.context.ContextStorage`

    - #### attach

          public io.opentelemetry.context.Scope attach​(io.vertx.core.internal.ContextInternal vertxCtx,
                                                       io.opentelemetry.context.Context toAttach)

    - #### current

          public io.opentelemetry.context.Context current()

      Specified by:
        `current` in interface `io.opentelemetry.context.ContextStorage`